Name:		mc
Summary:	a feature rich full-screen text mode application
Version:	4.8.21
Release:	3
Epoch:		1
License:	GPLv3+
URL:		http://www.midnight-commander.org/
Source0:	http://www.midnight-commander.org/downloads/mc-%{version}.tar.xz

Patch0:		mc-tmpdir.patch

BuildRequires:  gcc aspell-devel e2fsprogs-devel glib2-devel gpm-devel groff-base
BuildRequires:  libssh2-devel >= 1.2.5 perl-generators pkgconfig slang-devel

%description
GNU Midnight Commander is a visual file manager, licensed under GNU General Public
License and therefore qualifies as Free Software. It's a feature rich full-screen
text mode application that allows you to copy, move and delete files and whole
directory trees, search for files and run commands in the subshell. Internal viewer
and editor are included.

Midnight Commander is based on versatile text interfaces, such as Ncurses or S-Lang,
which allows it to work on a regular console, inside an X Window terminal, over SSH
connections and all kinds of remote shells.

%package_help

%prep
%autosetup -p1

%build
%configure \
	CFLAGS="%{optflags} -Wno-strict-aliasing" \
	--enable-aspell \
	--enable-vfs-sfs \
	--enable-vfs-sftp \
	--enable-vfs-smb \
	--enable-vfs-ftp \
	--enable-charset \
	--enable-largefile \
	--enable-vfs-cpio \
	--enable-vfs-extfs \
	--enable-vfs-fish \
	--enable-vfs-tar \
	--disable-rpath \
	--with-x \
	--with-gpm-mouse \
	--with-screen=slang \
	%{nil}
%make_build

%install
mkdir -p  ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d

%make_install

install contrib/mc.{sh,csh} ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d

%find_lang %{name} --with-man

%files -f %{name}.lang
/etc/profile.d/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/*
%dir %{_libexecdir}/%{name}
%attr(755,root,root) %{_libexecdir}/%{name}/cons.saver
%{_libexecdir}/%{name}/*
%{_datadir}/%{name}

%files help
%{_mandir}/man1/*
%license doc/COPYING
%doc doc/FAQ doc/NEWS doc/README

%changelog
* Tue Nov 19 2019 caomeng<caomeng5@huawei.com> - 1:4.8.21-3
- Package init
